import 'package:flutter/material.dart';

class PolicyConfirmDialog extends StatefulWidget {
  @override
  _PolicyConfirmDialogState createState() => _PolicyConfirmDialogState();
}

class _PolicyConfirmDialogState extends State<PolicyConfirmDialog> {
  @override
  Widget build(BuildContext context) {
    return _PolicyConfirmDialogContainer();
  }
}

class _PolicyConfirmDialogContainer extends StatefulWidget {
  @override
  _PolicyConfirmDialogContainerState createState() =>
      _PolicyConfirmDialogContainerState();
}

class _PolicyConfirmDialogContainerState
    extends State<_PolicyConfirmDialogContainer> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: Colors.transparent,
      body: Center(
        child: UnconstrainedBox(
          child: Container(
            padding: EdgeInsets.all(15),
            width: 290,
            decoration: BoxDecoration(
                borderRadius: BorderRadius.circular(13), color: Colors.white),
            child: Column(
              children: <Widget>[
                Text(
                  '温馨提示',
                  style: TextStyle(fontSize: 16, fontWeight: FontWeight.bold),
                ),
                Padding(
                  padding: const EdgeInsets.only(top: 8.0, bottom: 8.0),
                  child: Text('若得不到您的同意，我们将无法继续为您服务哦，您要不要在想想？'),
                ),
                Row(
                  children: <Widget>[
                    Expanded(
                      child: GestureDetector(
                        onTap: () {
                          Navigator.pop(context, false);
                        },
                        child: Container(
                          height: 36,
                          color: Colors.redAccent,
                          child: Text('仍不同意'),
                        ),
                      ),
                    ),
                    Container(
                      width: 30,
                    ),
                    Expanded(
                      child: GestureDetector(
                        onTap: () {
                          Navigator.pop(context, true);
                        },
                        child: Container(
                          height: 36,
                          color: Colors.redAccent,
                        ),
                      ),
                    )
                  ],
                )
              ],
            ),
          ),
        ),
      ),
    );
  }
}
